Opened 7 years ago

Closed 7 years ago

#41409 closed defect (fixed)

xgsch2pcb: Dependency 'py25-numpy' not found.

Reported by: jerrill@… Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version: 2.2.1
Keywords: Cc: seanfarley (Sean Farley), cooljeanius (Eric Gallager)
Port: xgsch2pcb

Description (last modified by ryandesign (Ryan Schmidt))

Trying to install xgsch2pcb I get the subject error. It looks like the offending package is Python 2.5 gtk.

sudo port install py25-pygtk
--->  Computing dependencies for py25-pygtk
Error: Dependency 'py25-numpy' not found.
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port py25-pygtk failed

Jerrill

Change History (7)

comment:1 Changed 7 years ago by seanfarley (Sean Farley)

I'm looking into this and should push the fixes tomorrow if everything tests out well enough.

comment:2 Changed 7 years ago by ryandesign (Ryan Schmidt)

Cc: sean@… added
Description: modified (diff)

py25-numpy was removed in r113431, which broke a lot of ports.

comment:3 Changed 7 years ago by cooljeanius (Eric Gallager)

Cc: egall@… added

Cc Me!

comment:4 Changed 7 years ago by ryandesign (Ryan Schmidt)

Cc: ryandesign@… added

This issue was "fixed" by removing xgsch2pcb in r113859. But you were trying to install it. Is this port still needed? If so, maybe we can find a way to resurrect it.

comment:5 in reply to:  4 Changed 7 years ago by jerrill@…

Replying to ryandesign@…:

This issue was "fixed" by removing xgsch2pcb in r113859. But you were trying to install it. Is this port still needed? If so, maybe we can find a way to resurrect it.

It's the GUI interface to the CLI gsch2pcb. Is just removing it really a fix? It seems like a step backwards.

Last edited 7 years ago by jerrill@… (previous) (diff)

comment:6 Changed 7 years ago by ryandesign (Ryan Schmidt)

Cc: ryandesign@… removed
Owner: changed from macports-tickets@… to ryandesign@…
Port: xgsch2pcb added
Status: newassigned
Summary: Dependency 'py25-numpy' not found.xgsch2pcb: Dependency 'py25-numpy' not found.

comment:7 Changed 7 years ago by ryandesign (Ryan Schmidt)

Resolution: fixed
Status: assignedclosed

Resurrected and updated to use python 2.7 in r114293.

Note: See TracTickets for help on using tickets.